Skip to content

Live Stream Rankings - Top Live Stream Creators

Introduction

Retrieve TikTok live stream sales creator rankings data, supporting the following features:

  • Supports filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /live/v1/rank/topCreator

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoDefault: 1
pagesizeintegerNoDefault: 10

page * pagesize <= 500

pagesize range [1, 100]

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
product_category_idintegerNoProduct category (Level 1)
creator_category_idintegerNoCreator category
date_infoobjectYESDate information: {"type":"day","value":"2025-02-01"}

region range: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby Optional Values

FieldRequiredDescription
units_soldNoSales volume (desc)
gmvNoRevenue (desc)

Request Example

bash
curl 'https://openapi.fastmoss.com/live/v1/rank/topCreator' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "product_category_id": 14,
        # "creator_category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        }
        #,
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-14"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

Total number of results

data.list

FieldTypeDescription
creatorobjectCreator information
top_livearray[object]Top live streams by sales
sale_product_countintegerActive sales products
live_units_soldintegerTotal live stream sales volume
live_gmvintegerTotal live stream revenue
live_usd_gmvintegerTotal live stream revenue in USD
currencystringCurrency
live_countintegerLive stream count

data.list:creator

FieldTypeDescription
uidstringCreator ID
unique_idstringCreator unique ID
nicknamestringCreator nickname
avatarstringCreator avatar URL
regionstringCountry/Region
categoryobjectCreator category
follower_countintegerCreator follower count

data.list:top_live

FieldTypeDescription
room_idstringLive stream room ID
uidstringCreator ID
regionstringCountry/Region
titlestringLive stream title
coverstringLive stream cover
units_soldintegerLive stream sales volume
gmvintegerLive stream revenue
currencystringCurrency

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "creator": {
          "uid": 7291972001835992106,
          "unique_id": "highlanddaily1",
          "nickname": "highlanddaily1",
          "avatar": "https://s.500fd.com/tt_author/05cf95d47762fb424adeb44051ec003a~c5_300x300.jpeg",
          "region": "US",
          "category": {
            "id": 4,
            "name": "Beauty"
          },
          "follower_count": 77777777
        },
        "sale_product_count": 178,
        "live_units_sold": 57140,
        "live_gmv": 958762.84,
        "live_usd_gmv": 958762.84,
        "currency": "USD",
        "live_count": 6,
        "top_live": [
          {
            "room_id": "7621968386985085727",
            "uid": "7291972001835992106",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/7584354100402735927~tplv-obj.image",
            "uints_sold": 72,
            "gmv": 1646.34,
            "currency": "USD"
          },
          {
            "room_id": "7621609989198727966",
            "uid": "7291972001835992106",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/7584354100402735927~tplv-obj.image",
            "uints_sold": 20,
            "gmv": 292.64,
            "currency": "USD"
          }
        ]
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-13"
  },
  "message": "",
  "timestamp": 1777297264,
  "request_id": "eeb9aec8-5bd6-2019-da8d-ba53c6946833"
}